API Documentation
Integrate Workload into your applications with our complete REST API
Authentication
The API uses API keys for authentication. Create an API key from your dashboard.
# Usage Example
curl -H "Authorization: Bearer YOUR_API_KEY" https://api.workload.com/api/v1/projects
Base URL
All API requests must be made to:
https://api.workload.com/api/v1
Endpoints
Discover all available endpoints to interact with Workload
Projects
GET
/v1/projectsList all projectsPOST
/v1/projectsCreate a new projectGET
/v1/projects/:idProject detailsBudgets
GET
/v1/budget/project-budgetsList project budgetsPOST
/v1/budget/project-budgetsCreate a project budgetVendors and rates
GET
/v1/budget/vendorsList vendorsGET
/v1/budget/team-ratesList team ratesWebhooks
Receive real-time notifications on your organization's events
Configure webhooks to be automatically notified when certain events occur:
- project.created - A project is created
- project.updated - A project is updated
- project.budget.created - A project budget is created
- vendor.created - A vendor is created
- team.rate.created - A team rate is created
Complete Documentation
To access quickstart, snippets and the OpenAPI spec:
Developer resources:
- API Quickstart
- OpenAPI spec:
docs/openapi/v1.yaml - API keys endpoint:
/api/v1/api-keys
Need help? Contact our support team.